Subject: Re: bug#40254: 26.1; sgml-mode: Match data clobbered by buffer modification hooks

From: Stefan Kangas <[email-masked]>
Date: Wed, 12 Aug 2020 18:33:18 -0700

Eli Zaretskii <[email-masked]> writes:

>> From: Vladimir Alexiev <[email-masked]>
>> Date: Fri, 27 Mar 2020 20:16:29 +0200
>>
>> When  sgml-electric-tag-pair-mode is enabled  in nxml-mode
>> and I try query-replace of a tag name, the first match is replaced and
>> then I get this error:
>>
>> Debugger entered--Lisp error: (error "Match data clobbered by buffer modification hooks")
>>   replace-match("name" nil t)
>>   replace-match-maybe-edit("name" nil t nil (1803 1814 #<buffer Fahrstromrückleitung-en.xml>) nil)
>>   perform-replace("designation" "name" t nil nil nil nil nil nil nil nil)
>>   query-replace("designation" "name" nil nil nil nil nil)
>>   funcall-interactively(query-replace "designation" "name" nil nil nil nil nil)
>>   call-interactively(query-replace nil nil)
>>   command-execute(query-replace)
>
> Could you please provide the file which you used in this case?  I
> tried reproducing this with some random XML file I had on my system,
> but the problem didn't happen.
>
> Also, does this happen in "emacs -Q"?  If not, then some of your
> customizations might be relevant as well (or even be the root cause).

More information was requested, but none was given within 19 weeks, so
I'm closing this bug.  If this is still an issue, please reply to this
email (use "Reply to all" in your email client) and we can reopen the
bug report.

Best regards,
Stefan Kangas